//+------------------------------------------------------------------+
#property show_inputs

//+------------------------------------------------------------------+
extern string InstrumentName = "USDWTF";
extern int TimeFrame = 1;
extern int NumPrices = 100000;

#include <offline_charts.mqh>

//+------------------------------------------------------------------+
int start()
{
int digits = 5;
int epoch = 0;
int i;

   emptyOfflineChart(InstrumentName, TimeFrame, digits);

   MathSrand(GetTickCount());

double current_price = 1000.0;
double current_change, o, h, l, c;

   for(i=0; i<NumPrices; i++)
   {
      epoch = i * 60 * TimeFrame;

      o = current_price;

      current_change = MathRand()/32768.0;
      current_change -= 0.5;

      c = o + current_change;

      if(o > c)
      {
         h = o + MathRand()/65536.0;
         l = c - MathRand()/65536.0;
      }
      else
      {
         h = c + MathRand()/65536.0;
         l = o - MathRand()/65536.0;
      }

      writeOfflineBar(InstrumentName, TimeFrame, 0, epoch, o, h, l, c, 1.0);

      current_price = c;

      if(i != 0 && (i % 1000 == 0))
      {
         Print("Created " + i + " prices so far.");
      }
   }

   return(0);
}
//+------------------------------------------------------------------+